Package org.eclipse.rdf4j.federated.endpoint.provider

## Class NativeRepositoryInformation

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation
  - - org.eclipse.rdf4j.federated.endpoint.provider.NativeRepositoryInformation

-     public class NativeRepositoryInformation
      extends RepositoryInformation

  Graph information for RDF4J `NativeStore` initialization.

  Format:

       <%name%> a sd:Service ;
              fedx:store "NativeStore" ;
              fedx:RepositoryLocation "%location%".

       relative path (to SailRepository.getDataDir()) in a "repositories" subfolder

        a sd:Service ;
              fedx:store "NativeStore" ;
              fedx:repositoryLocation "data\\repositories\\native-storage.dbpedia".

       absolute Path

        a sd:Service ;
              fedx:store "NativeStore" ;
              fedx:repositoryLocation "D:\\data\\repositories\\native-storage.dbpedia".

  Note: the id is constructed from the location: repositories\\native-storage.dbpedia => native-storage.dbpedia

  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `props`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NativeRepositoryInformation​(String name, String location)` |
    `NativeRepositoryInformation​(Model graph, Resource repNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `initialize​(Model graph, Resource repNode)` |

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `get, get, getEndpointConfiguration, getId, getLocation, getName, getType, isWritable, setEndpointConfiguration, setProperty, setType, setWritable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeRepositoryInformation

          public NativeRepositoryInformation​(Model graph,
                                             Resource repNode)

    - #### NativeRepositoryInformation

          public NativeRepositoryInformation​(String name,
                                             String location)

  - ### Method Detail

    - #### initialize

          protected void initialize​(Model graph,
                                    Resource repNode)